#
# $Header: /cvs/stx/stx/libbasic/vms.mak,v 1.4 1997-09-15 20:04:19 cg Exp $
#

LIBNAME=libbasic
#LIB_BASE=$(LIBBASIC_BASE)

PACKAGE="-package=(stx:$(LIBNAME))"
STCLOCALOPT=-warnNonStandard -warnGlobalAssign +optinline2

OPTIONAL_OBJS=
#
# not needed in VMS ...
#
#OPTIONAL_OBJS=\
#	UnixFilename.$(O)\
#	PCFilename.$(O)

OBJS1= \
	Object.$(O)\
	Autoload.$(O)\
	Behavior.$(O)\
	ClassDescr.$(O)\
	Class.$(O)\
	Metaclass.$(O)\
	PMetaclass.$(O)\
	Project.$(O)\
	Namespace.$(O)\
	Boolean.$(O)\
	True.$(O)\
	False.$(O)\
	CCReader.$(O)\
	Coll.$(O)\
	Bag.$(O)\
	FileDir.$(O)\
	SeqColl.$(O)\
	ArrColl.$(O)\
	Array.$(O)\
	WeakArr.$(O)\
	ByteArray.$(O)\
	CharArray.$(O)\
	String.$(O)\
	Symbol.$(O)\
	UIBytes.$(O)\
	DoubleArray.$(O)\
	FloatArray.$(O)\
	Interval.$(O)\
	LinkList.$(O)\
	Semaphore.$(O)\
	OrdColl.$(O)\
	SortColl.$(O)\
	Set.$(O)\
	Dict.$(O)\
	IdDict.$(O)\
	WeakIdDict.$(O)\
	WeakDepDict.$(O)\
	WeakVDict.$(O)\
	IdSet.$(O)\
	WeakIdSet.$(O)\
	SignalSet.$(O)\
	SemaSet.$(O)\
	Context.$(O)\
	BContext.$(O)\
	Delay.$(O)\
	Exception.$(O)\
	ExecFunc.$(O)\
	CompCode.$(O)\
	Block.$(O)\
	CheapBlk.$(O)\
	Method.$(O)\
	Filename.$(O)\
	InterestC.$(O)\
	Link.$(O)\
	Process.$(O)\
	Magnitude.$(O)\
	LookupKey.$(O)\
	Assoc.$(O)\
	AbstrTime.$(O)\
	AbsTime.$(O)\
	Time.$(O)\
	ArithVal.$(O)\
	Number.$(O)\
	Fraction.$(O)\
	Integer.$(O)\
	SmallInt.$(O)\
	LargeInt.$(O)\
	LPReal.$(O)\
	Float.$(O)\
	SFloat.$(O)\
	Point.$(O)\
	Character.$(O)\
	Date.$(O)\
	Message.$(O)\
	MiniDebug.$(O)\
	MiniIns.$(O)\
	ObjMem.$(O)\
	ProcSched.$(O)\
	Geometric.$(O)\
	Rectangle.$(O)\
	Registry.$(O)\
	HRegistry.$(O)\
	Signal.$(O)\
	QuerySig.$(O)\
	Smalltalk.$(O)\
	Stream.$(O)\
	PeekStr.$(O)\
	PosStream.$(O)\
	ReadStr.$(O)\
	WriteStr.$(O)\
	RWStream.$(O)\
	ExtStream.$(O)\
	FileStr.$(O)\
	DirStr.$(O) \
	NPExtStr.$(O)\
	PipeStr.$(O)\
	UndefObj.$(O)\
	ExtAddr.$(O)\
	ExtBytes.$(O)\
	ExtFunc.$(O)

OBJS2=\
	$(OPTIONAL_OBJS) \
	OpenVMSFilename.$(O)\
	Unix.$(O) \
	MthdDict.$(O)\
	VarArgBlock.$(O) \
	VarArgCheapBlock.$(O) \
	WeakInterestConverter.$(O) \
	Obsolete.$(O)\
	BOSS.$(O)\
	BinIOMgr.$(O)\
	BinInMgr.$(O)\
	BinOutMgr.$(O)

theLib:: $(LIBNAME).olb
	write sys$output "first half of class objects ..."
	$(MAKE) objs1
	write sys$output "second half of class objects ..."
	$(MAKE) objs2
	$(MAKE) libinit
	write sys$output "classlibrary $(LIBNAME).olb made."

$(LIBNAME).olb:
	write sys$output "creating initial $(LIBNAME).olb ..."
	lib/cre $(LIBNAME).olb

objs1:	$(OBJS1)

objs2:  $(OBJS2)

# Unix.c:: Unix.st
